#!/usr/bin/env slsh

define slsh_main ()
{
   variable h, i, j, n, x, y;
   variable a_min = -1500.0, a_max = 1500.0, num_iterations = 10000;
   
   n = integer (__argv [1]);   

   x = Double_Type [n];
   y = Double_Type [n];

   h = (a_max - a_min) / (n - 1);
   i = [0:n - 1];
   x = a_min + i * h;
   
   tic ();
   
   loop (num_iterations - 1)
     {
	y = sin (x);
	x = asin (y);
	y = cos (x);
	x = acos (y);
	y = tan (x);
	x = atan (y);
     }   
   
   vmessage ("Time Evaluate Function = %f s", toc ());
}
